# Generate POD account number

## Generate account number for POD delivery

<mark style="color:green;">`POST`</mark> `{baseUrl}/drops/cancel`

The bank account details are securely generated via Paystack and sent to the receiver of the goods. The account remains valid for 8 hours.

#### Headers

| Name                                          | Type   | Description         |
| --------------------------------------------- | ------ | ------------------- |
| app\_id<mark style="color:red;">\*</mark>     | string | Your app ID         |
| app\_secret<mark style="color:red;">\*</mark> | string | Your app secret key |

#### Request Body

| Name                                     | Type   | Description |
| ---------------------------------------- | ------ | ----------- |
| dropId<mark style="color:red;">\*</mark> | String | dropId      |

{% tabs %}
{% tab title="200 Deliveries cancelled" %}

```
{
  "status": true,
  "message": "Delivery cancelled",
  "data": {
  }
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid dropId" %}

```
{
    "status": false,
    "message": "Invalid app_id or app_secret",
    "data": {
        "statusCode": 401,
        "message": "Invalid app_id or app_secret",
        "isOperational": true,
    }
}
```

{% endtab %}
{% endtabs %}

```
// Sample Request information
Url: https://sandbox.sendstack.africa/drops/payOnDelivery
Method: POST
Headers: 
 - app_id: "your app_id"
 - app_secret: "your app_secret"
Body:
  -dropId
```

### Sample Success Data

```json
// Sample Request body
{
    "dropId": "yourDropId"
}
```

```json
//Sample Response Body - 200 OK

```

### Sample Error Data

```json
{
    "dropId": "invalid dropId"
}
```

```json
//Sample Response Body - 400 OK
{
    "status": false,
    "message": "Invalid dropId"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/bookings/generate-pod-account-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
